Errors
3
GP11 Library

# Errors

GP11 Errors and error codes.

## Synopsis

    #define             GP11_VENDOR_CODE
    #define             GP11_ERROR
    const gchar*        gp11_message_from_rv                (CK_RV rv);
    #define             CKR_GP11_MODULE_PROBLEM

## Description

GP11 errors are returned as GError structures. The code member of GError contains the raw PKCS11 CK_RV result value.

## Details

### GP11_VENDOR_CODE

    #define             GP11_VENDOR_CODE                        0x47503131 /* GP11 */

Custom PKCS11 errors that originate from the GP11 library, are based at this error code.

### GP11_ERROR

    #define             GP11_ERROR                              (gp11_get_error_quark ())

The error domain for GP11 library errors.

### gp11_message_from_rv ()

    const gchar*        gp11_message_from_rv                (CK_RV rv);

Get a message for a PKCS11 return value or error code. Do not pass CKR_OK or other such non errors to this function.

`rv` :

Returns :

  The user readable message.

### CKR_GP11_MODULE_PROBLEM

    #define             CKR_GP11_MODULE_PROBLEM                 (CKR_VENDOR_DEFINED | (GP11_VENDOR_CODE + 1))

A result code that signifies there was a problem loading a PKCS11 module, usually a shared library.

More details can be found in the error string.